Skip to Content
avatar image
Former Member

Crystal Reports for .NET Framework 4.0 and .NET 2.0/3.5

Hello,

We have a few very large customers who have decided to remove .NET 2.0/3.5 from their systems which means we have to recompile our entire suite against .NET Framework 4.0 or higher.

We are currently developing with Crystal Reports for .NET Framework 4.0. and thought we were fine until I noticed that a few assemblies like CrystalDecisions.CrystalReports.Engine.dll are compiled against the .NET 2.0 or 3.5 framework.

Is there any plan in place to have the Crystal Reports for .NET Framework 4.0 assemblies and the redist compiled against the .NET 4.0 framework?

Thanks you in advance

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    Mar 21, 2017 at 06:15 PM

    Yes we are panning on updating to VS 2015 C++ compiler, not sure if they are going to remove the 2.0 dependency though.

    There are a few BOE products which is currently stopping migration to VS 2015. When they can this will happen.

    Don

    Add comment
    10|10000 characters needed characters exceeded